Đến nội dung


Hình ảnh

Bắt tâm của một hình bất kỳ


  • Please log in to reply
11 replies to this topic

#1 tulipden87

tulipden87

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 02 November 2008 - 06:01 PM

Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.
Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều
  • 0

#2 khuyennd81

khuyennd81

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 02 November 2008 - 06:40 PM

Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.
Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều

mình ko biết có lệnh nào trực tiếp ko! còn mình thì thường REG hình đó vào rồi lệnh massprop sẽ cho trọn tâm.
  • 0

#3 tulipden87

tulipden87

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 02 November 2008 - 08:56 PM

mình ko biết có lệnh nào trực tiếp ko! còn mình thì thường REG hình đó vào rồi lệnh massprop sẽ cho trọn tâm.

Rất cảm ơn bạn đã góp ý cho mình. Nhưng mình cũng đã từng dụng lệnh massprop rồi nhưng lệnh này chỉ cho chúng ta biết toạ độ của trọng tâm chứ không bắt được trực tiếp trọng tâm. Muốn bắt được trọng tâm chúng ta lại phải gõ lại toạ độ đó.
  • 0

#4 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 572 (tốt)

Đã gửi 02 November 2008 - 09:56 PM

Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.
Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều

Hình đã gửi

Giả sử bạn cần bắt điểm trọng tâm hình 2D như hình vẽ, trước tiên bạn phải vẽ hình 3D với chiều dầy là là 1 rồi tiến hành như sau:
1- Vào : Tools > Inquiri > Region/ Mass Properties > Chọn đối tượng, Enter sẽ hiện ra bảng có thông số sau:
……………………
Centroid: X: 243.4906
Y: -396.0639
Z: 0.5000
Phía dưới có dòng : Fress ENTER Continue

2- Tiếp theo bạn nhấn Esc hai lần, rồi ấn F2 sẽ hiện ra bảng sau:
………………………………………
Centroid: X: 243.4906
Y: -396.0639
Z: 0.5000
Dòng dưới cùng có dòng chữ : Command:
3- Tại dòng lệnh này bạn dùng lệnh vẽ đoạn thẳng:
-Bước1: Command: nh L > Enter > Tiếp theo bạn nhập tọa độ( x,y), không cần nhập Z
-Bước2: Command: 1 LINE Specify First point: 243.4906, -396.0639
-Bước3: bạn nhấn nút Minimize (góc trải phía trên) rồi Enter là đầu của đoạn thẳng sẽ bắt điểm vào trọng tâm của hình D.
( Trọng tâm của hình tại điểm M cách tâm O : 12,6. Đây là cách tôi thường là để tính tâm lực dập dùng khi thiết kế khuôn đột dập. Ngoài ra còn ứng dụng cho việc tính trọng tâm máy móc thiết bị khi vận chuyển bắng xe ô tô. Nhờ biết trọng tâm nên khi vận chuyển, phải tính thêm cả đối trọng để cân xe, giảm thiểu khả năng gây tai nạn khi xe đi vào khúc cua).

Đây là File bản vẽ :

http://www.cadviet.c...Tr7885ng_tm.rar

Có thể tham khảo bài viết:
http://www.cadviet.c...?showtopic=5880
  • 0
KẺ ĂN MÀY DĨ VÃNG

#5 tulipden87

tulipden87

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 02 November 2008 - 10:24 PM

Hình đã gửi

Giả sử bạn cần bắt điểm trọng tâm hình 2D như hình vẽ, trước tiên bạn phải vẽ hình 3D với chiều dầy là là 1 rồi tiến hành như sau:
1- Vào : Tools > Inquiri > Region/ Mass Properties > Chọn đối tượng, Enter sẽ hiện ra bảng có thông số sau:
……………………
Centroid: X: 243.4906
Y: -396.0639
Z: 0.5000
Phía dưới có dòng : Fress ENTER Continue

2- Tiếp theo bạn nhấn Esc hai lần, rồi ấn F2 sẽ hiện ra bảng sau:
………………………………………
Centroid: X: 243.4906
Y: -396.0639
Z: 0.5000
Dòng dưới cùng có dòng chữ : Command:
3- Tại dòng lệnh này bạn dùng lệnh vẽ đoạn thẳng:
-Bước1: Command: nh L > Enter > Tiếp theo bạn nhập tọa độ( x,y), không cần nhập Z
-Bước2: Command: 1 LINE Specify First point: 243.4906, -396.0639
-Bước3: bạn nhấn nút Minimize (góc trải phía trên) rồi Enter là đầu của đoạn thẳng sẽ bắt điểm vào trọng tâm của hình D.
( Trọng tâm của hình tại điểm M cách tâm O : 12,6. Đây là cách tôi thường là để tính tâm lực dập dùng khi thiết kế khuôn đột dập. Ngoài ra còn ứng dụng cho việc tính trọng tâm máy móc thiết bị khi vận chuyển bắng xe ô tô. Nhờ biết trọng tâm nên khi vận chuyển, phải tính thêm cả đối trọng để cân xe, giảm thiểu khả năng gây tai nạn khi xe đi vào khúc cua).

Đây là File bản vẽ :

http://www.cadviet.c...Tr7885ng_tm.rar

Có thể tham khảo bài viết:
http://www.cadviet.c...?showtopic=5880

Rất cảm ơn bác. Tuy nhiên có một điều em chưa hiểu đó là bác phải tạo hình 3D để làm gì, trong khi đối với hình 2D bác cũng có thể sử dụng lệnh massprop rồi và cuối cùng cũng là phải nhập lại toạ độ của trọng tâm. Ở đây em muốn là chúng ta bắt luôn được trọng tâm của hinh cơ.
  • 0

#6 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 02 November 2008 - 11:01 PM

Rất cảm ơn bác. Tuy nhiên có một điều em chưa hiểu đó là bác phải tạo hình 3D để làm gì, trong khi đối với hình 2D bác cũng có thể sử dụng lệnh massprop rồi và cuối cùng cũng là phải nhập lại toạ độ của trọng tâm. Ở đây em muốn là chúng ta bắt luôn được trọng tâm của hinh cơ.

Vấn đề này CADViet đã đề cập rồi, bạn xem ở đây: tìm trọng tâm của 1 đối tượng kín
  • 0

#7 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 572 (tốt)

Đã gửi 02 November 2008 - 11:25 PM

Rất cảm ơn bác. Tuy nhiên có một điều em chưa hiểu đó là bác phải tạo hình 3D để làm gì, trong khi đối với hình 2D bác cũng có thể sử dụng lệnh massprop rồi và cuối cùng cũng là phải nhập lại toạ độ của trọng tâm. Ở đây em muốn là chúng ta bắt luôn được trọng tâm của hinh cơ.


Với hình 2D không thể sử dụng lệnh massprop như bạn nói được. Tôi vẫn dựng 3D để xác định trọng tâm của hình phẳng dạng tấm phắng và cả hình 3D có kết cầu phức tạp. Cách làm của tôi nó bắt đúng trọng tâm của hình 3D theo tọa độ XYZ, từ đây ta biết được tọa độ trọng tâm của hình 2D chỉ khác về cao độ Z. Tất nhiên cách làm này không nhanh bằng sử dụng Lisp.

Hôm nay, tôi mới biết đến cách tìm trọng của một hình kín bằng lisp của NguyenHoanh.
  • 0
KẺ ĂN MÀY DĨ VÃNG

#8 khuyennd81

khuyennd81

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 03 November 2008 - 06:13 AM

Với hình 2D không thể sử dụng lệnh massprop như bạn nói được.

Được mà bạn! nhung phải REG hình 2D đó trước
  • 0

#9 tulipden87

tulipden87

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 03 November 2008 - 06:27 PM

Vấn đề này CADViet đã đề cập rồi, bạn xem ở đây: tìm trọng tâm của 1 đối tượng kín

Cảm ơn bác Hoành rất nhiều. Lisp của bác đã giúp cho em thực hiện công việc đỡ vất vả hơn nhiều rồi
  • 0

#10 tronganxn

tronganxn

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 November 2008 - 09:22 AM

Theo em đối với hình không phức tạp lắm chỉ cần m2p - middle two point là xong thôi mà.
  • 0

#11 xhxdxm

xhxdxm

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 December 2010 - 03:05 AM

Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.
Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều

bạn dung lệnh reg sau đó dùng lệnh MASSPROP sau đo đc tọa tộa trọng tâm bạn dùng lệnh PO ( vẽ điểm) và đánh tọa độ trọng tâm vừa nãy vào thì đc tọa đọa trọng tâm. Tuy hơi dài nhưng mà đó là công việc bát buộc, mình nghĩ đẻ tìm vài hình trọng tâm thì không lâu.nhưng mà đẻ tìm liền luk nhiều trọng tâm thì cả vấn đè. ai có biết lệnh nào hay thì giới thiệu cho anh em nhé
  • 0

#12 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 11 December 2010 - 09:25 AM

..... ai có biết lệnh nào hay thì giới thiệu cho anh em nhé

Bạn thử đoạn chương trình này xem
Lệnh là tament
Chương trình sẽ vẽ 1 đường line từ gôc (0 0) đến trọng tâm của hình.
(Defun c:tament(/ ob ob1)
(vl-load-com)
(setvar "cmdecho" 0) (setvar "osmode" 0)
(setq ob1 (car (entsel "\nChon Chon 1 duong khep kin")))
(command "region" ob1 "")
(setq ob1 (entlast)
ob (vlax-ename->vla-object ob1)
tamO (vlax-safearray->list (vlax-variant-value (vla-get-Centroid ob)))
)
(setvar "osmode" 0)
(command "line" tamO (list 0 0) "")
(entdel ob1)
(setvar "osmode" 33)
(princ)
)
  • 0